Subject: Re: Draft on HTTP Warnings registry, was: Using extension points without registries

From: Mark Nottingham <[email-masked]>
Date: Fri, 18 Feb 2011 17:25:18 +1100

FYI, I've opened <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/274> to cover this topic.

Regards,

On 12/01/2011, at 3:01 AM, Mykyta Yevstifeyev wrote:

> Hello all,
> 
> I am writing to notify that per IETF process I've submitted the following draft:
> 
> https://datatracker.ietf.org/doc/draft-yevstifeyev-httpbis-http-warning-registry/?include_text=1
> 
> that is intended to create the registry for Warning codes.  Maybe you'll say that this unnecessary haste, since there is no wide consensus on it, but that is just a draft, that, as you know, may be obsoleted, replaced or withdrawn at any time.  I've submitted it to reflect the intention on this topic.  So any comments or feedback that may appear are welcome, as well as discussion on the particular topic related to it.
> 
> All the best,
> Mykyta Yevstifeyev
> 
> 11.01.2011 9:40, Mykyta Yevstifeyev wrote:
>> Hello all,
>> 
>> 2011/1/10, Julian Reschke<[email-masked]>:
>>> On 10.01.2011 08:42, Mykyta Yevstifeyev wrote:
>>>> Hello all,
>>>> 
>>>> First of all, how could anubody applied for warning code if there was
>>>> no popssibility to do that? RFC2616 mentiined no ways to do that. I
>>> You write an Internet Draft, and as part of the draft you note that
>>> there's currently no registry, and that somebody needs to deal with that
>>> (maybe yourself by defining it, by using the RFC "updates" relation, or
>>> by asking the IESG or the Working Group for feedback).
>>> 
>>> But the first step should be to actually show that a new Warning code is
>>> needed. Could you please do that first?
>> Currently I have at least one idea for creation of Warnong code -
>> exactly with the same reason that has been mentioned for
>> 'Headers-Not-Recognized' field from
>> draft-yevstifeyev-headers-not-recognized.
>> 
>>>> propose to create such regsitry since I have some ideas as for new
>>>> Warning codes.
>>>> 
>>>> I do not share the opinion of those who say we have nothing to place
>>>> there. RFC2616 mentioned nearly 5 Warning codes that should be put in
>>>> such regsitry.
>>> RFC2616 defines Warning Codes. But that doesn't necessarily mean a
>>> registry is needed.
>> But the same situation is with the status codes. We have created the
>> regsitry for it. Once more, I am strongly concerned we need such
>> regsitry.
>> 
>> Mykyta
>>>> ...
>>> Best regards, Julian
>>> 
> 
> 

--
Mark Nottingham   http://www.mnot.net/